Get the dynamic fields schema
import requests
url = "https://{FUSION HOST}/api/collections/{collection}/schema/dynamicfields.schema"
response = requests.get(url)
print(response.text){
"title": "<string>",
"description": "<string>",
"required": [
"<string>"
],
"properties": {},
"additionalProperties": {},
"minProperties": 123,
"maxProperties": 123,
"definitions": {},
"category": "<string>",
"categoryPriority": 123,
"enum": [
{}
],
"hints": [
"<string>"
],
"unsafe": true,
"default": {},
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"enum": [
{}
],
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": "<unknown>"
}
],
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
]
}Get the dynamic fields schema
Returns dynamic fields schema for a given collection.
GET
/
collections
/
{collection}
/
schema
/
dynamicfields.schema
Get the dynamic fields schema
import requests
url = "https://{FUSION HOST}/api/collections/{collection}/schema/dynamicfields.schema"
response = requests.get(url)
print(response.text){
"title": "<string>",
"description": "<string>",
"required": [
"<string>"
],
"properties": {},
"additionalProperties": {},
"minProperties": 123,
"maxProperties": 123,
"definitions": {},
"category": "<string>",
"categoryPriority": 123,
"enum": [
{}
],
"hints": [
"<string>"
],
"unsafe": true,
"default": {},
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"enum": [
{}
],
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": "<unknown>"
}
],
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
]
}Path Parameters
Collection ID.
Response
200 - application/json
successful operation
Available options:
String, Number, Integer, Boolean, Object, Array, Null, Ref Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I